Subject: bug#4533: 23.1: reverting fails to update line ending mode line

From: Stefan Monnier <[email-masked]>
Date: Mon, 15 Nov 2010 11:51:36 -0500

> I think the use of buffer-file-coding-system-explicit in revert-buffer
> is bogus, and should be removed---see below.  What do you think?

Its use is not bogus.  It's so that when a file's coding-system is
incorrectly auto-detected, the user can force the use of a correct
coding-system and subsequent revert-buffers won't disregard it.

So maybe the problem is that C-x C-s should not set
buffer-file-coding-system-explicit (unless the C-x C-s prompted the user
to choose  a coding-system, I guess).

        Stefan